> For the complete documentation index, see [llms.txt](https://docs.sparkloop.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sparkloop.app/api-v2/objects-schema/recommendation-object.md).

# Recommendation Object

### Example

```json
{
  "uuid": "partner_campaign_23ac0811bfff",
  "type": "paid",
  "status": "active",
  "ref_code": "14ea515235",
  "publication_name": "Create&Sell",
  "publication_logo": "https://dash.sparkloop.app/rails/active_storage/representations/.../logo.png",
  "description": "Weekly, in-depth email marketing advice for creators by email genius Brennan Dunn.",
  "pinned": false,
  "position": null,
  "max_payout": 150000,
  "last_30_days_confirmation_rate": 30,
  "signup_url": "https://recs.page/create-and-sell?ref_code=14ea515235",
  "partner_program_uuid": "partner_program_83ba92h24",
  "available_budget_dollars": 100000,
  "cpa": 300,
  "referrals": {
    "pending": 541,
    "rejected": 38,
    "confirmed": 2890
  },
  "earnings": 867000,
  "net_earnings": 800000
}
```

<table><thead><tr><th width="217">Property</th><th width="140.66666666666666">Type</th><th>Description</th></tr></thead><tbody><tr><td>uuid</td><td>string</td><td>Recommendation's UUID</td></tr><tr><td>type</td><td>string</td><td>Type of recommendation. Can be "paid" or "free".</td></tr><tr><td>status</td><td>string</td><td>Recommendation's status. Can be "active", "archived" or "paused". Referrals can only be sent to active recommendations.</td></tr><tr><td>ref_code</td><td>string</td><td>Randomly generated hex string representing the recommendation. Used for the signup URL.</td></tr><tr><td>publication_name</td><td>string</td><td>Publication's name</td></tr><tr><td>publication_logo</td><td>string</td><td>Publication's logo URL</td></tr><tr><td>description</td><td>string</td><td>Recommendation's description or reason to recommend</td></tr><tr><td>signup_url</td><td>string</td><td>Link to SparkLoop's Recommendations Hub Direct SignUp Page where the subscriber can opt into the recommended publication's newsletter. An <code>email</code> query parameter can be prepended to the URL to enable 1-click subscription.</td></tr><tr><td>cpa</td><td>integer</td><td>How much partners earn for sending confirmed referrals in cents.</td></tr><tr><td>pinned</td><td>boolean</td><td>Whether or not the recommendation is pinned. When a recommendation is pinned  it is always shown, unless it has run out of budget or the location of the subscriber is not suitable for it.</td></tr><tr><td>position</td><td>integer</td><td>The position of the recommendation</td></tr><tr><td>partner_program_uuid</td><td>string</td><td>The recommendation's partner program UUID.</td></tr><tr><td>max_payout</td><td>integer</td><td>The max amount a partner can earn per month in cents</td></tr><tr><td>available_budget</td><td>integer</td><td>Monthly budget left before hitting the max_payout, in cents. When it reaches 0, the recommendation budget will be considered exhausted and referrals won't be paid for.</td></tr><tr><td>referrals</td><td>object</td><td>Breakdown of all time pending/rejected/confirmed referrals</td></tr><tr><td>last_30_days_confirmation_rate</td><td>integer</td><td>Last 30 days referral confirmation rate</td></tr><tr><td>earnings</td><td>integer</td><td>All time gross earnings in cents</td></tr><tr><td>net_earnings</td><td>integer</td><td>All time net earnings in cents, after SparkLoop &#x26; payment processing fees</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sparkloop.app/api-v2/objects-schema/recommendation-object.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
